package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.FinalConfig;

/**
 * 最终准备页面配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public interface IFinalConfigService 
{
    /**
     * 查询最终准备页面配置
     * 
     * @param id 最终准备页面配置主键
     * @return 最终准备页面配置
     */
    public FinalConfig selectFinalConfigById(Long id);

    /**
     * 查询最终准备页面配置列表
     * 
     * @param finalConfig 最终准备页面配置
     * @return 最终准备页面配置集合
     */
    public List<FinalConfig> selectFinalConfigList(FinalConfig finalConfig);

    /**
     * 新增最终准备页面配置
     * 
     * @param finalConfig 最终准备页面配置
     * @return 结果
     */
    public int insertFinalConfig(FinalConfig finalConfig);

    /**
     * 修改最终准备页面配置
     * 
     * @param finalConfig 最终准备页面配置
     * @return 结果
     */
    public int updateFinalConfig(FinalConfig finalConfig);

    /**
     * 批量删除最终准备页面配置
     * 
     * @param ids 需要删除的最终准备页面配置主键集合
     * @return 结果
     */
    public int deleteFinalConfigByIds(Long[] ids);

    /**
     * 删除最终准备页面配置信息
     * 
     * @param id 最终准备页面配置主键
     * @return 结果
     */
    public int deleteFinalConfigById(Long id);

    /**
     * 查询最终准备页面配置列表
     *
     * @return 最终准备页面配置集合
     */
    public List<FinalConfig> getFinalConfigList();
}
